summaryrefslogtreecommitdiffstats
path: root/usr.sbin/ypserv/ypinit.sh
diff options
context:
space:
mode:
authorschweikh <schweikh@FreeBSD.org>2002-12-30 21:18:15 +0000
committerschweikh <schweikh@FreeBSD.org>2002-12-30 21:18:15 +0000
commit86f7487fb6a0b8dd9e3a699ad48d6e99504a67ff (patch)
treebd0234a8048c844b06483795cfb1fe4d34b68a4f /usr.sbin/ypserv/ypinit.sh
parent338583ff7c1145c5e2deba34aed769eb7998286c (diff)
downloadFreeBSD-src-86f7487fb6a0b8dd9e3a699ad48d6e99504a67ff.zip
FreeBSD-src-86f7487fb6a0b8dd9e3a699ad48d6e99504a67ff.tar.gz
Fix typos, mostly s/ an / a / where appropriate and a few s/an/and/
Add FreeBSD Id tag where missing.
Diffstat (limited to 'usr.sbin/ypserv/ypinit.sh')
-rw-r--r--usr.sbin/ypserv/ypinit.sh16
1 files changed, 6 insertions, 10 deletions
diff --git a/usr.sbin/ypserv/ypinit.sh b/usr.sbin/ypserv/ypinit.sh
index 8d1871b..1be7e0e 100644
--- a/usr.sbin/ypserv/ypinit.sh
+++ b/usr.sbin/ypserv/ypinit.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# $FreeBSD$
#
-# ypinit.sh - setup an master or slave server.
+# ypinit.sh - setup a master or slave server.
# (Taken from OpenBSD and modified for FreeBSD.)
#
DOMAINNAME=/bin/domainname
@@ -180,7 +180,7 @@ __notice1
esac
if [ -d "${YP_DIR}/${DOMAIN}" ]; then
- echo ""
+ echo ""
echo -n "Can we destroy the existing ${YP_DIR}/${DOMAIN} and its contents? [y/n: n] "
read KILL
@@ -203,7 +203,6 @@ __notice1
echo "OK, please clean it up by hand and start again. Bye"
exit 0
fi
-
fi
if ! mkdir "${YP_DIR}/${DOMAIN}"; then
@@ -261,7 +260,6 @@ LIST_OK="NO"
while [ "${LIST_OK}" = "NO" ];
do
-
if [ "${SERVERTYPE}" = "MASTER" ];
then
HOST_LIST="${HOST}"
@@ -300,8 +298,8 @@ do
echo "Update the list of hosts running YP servers in domain ${DOMAIN}."
echo "Master for this domain is ${MASTER_NAME}."
echo ""
- echo "First verify old servers, type \\ to remove a server."
- echo "Then add new servers, one per line. When done type a <control D>."
+ echo "First verify old servers, type \\ to remove a server."
+ echo "Then add new servers, one per line. When done type a <control D>."
echo ""
echo " master server : ${HOST}"
if [ "${NEW_LIST}" != "" ]; then
@@ -358,13 +356,12 @@ if [ $? -ne 0 ]; then
echo "" 1>&2
echo "Couldn't build yp data base ${YP_DIR}/${DOMAIN}/ypservers." 1>&2
ERROR_EXISTS="YES"
- if [ "${ERROR_EXIT}" = "YES" ]; then
+ if [ "${ERROR_EXIT}" = "YES" ]; then
exit 1
fi
fi
if [ "${SERVERTYPE}" = "MASTER" ]; then
-
CUR_PWD=`pwd`
cd ${YP_DIR}
echo "Running ${YP_DIR}/Makefile..."
@@ -372,7 +369,7 @@ if [ "${SERVERTYPE}" = "MASTER" ]; then
echo "" 1>&2
echo "Error running Makefile." 1>&2
ERROR_EXISTS="YES"
- if [ "${ERROR_EXIT}" = "YES" ]; then
+ if [ "${ERROR_EXIT}" = "YES" ]; then
exit 1
fi
fi
@@ -386,5 +383,4 @@ if [ "${SERVERTYPE}" = "MASTER" ]; then
else
echo "${HOST} has been setup as an YP master server without any errors. "
fi
-
fi
OpenPOWER on IntegriCloud